/**
 * Maa ewolucja - Gra ewolucyjno spoeczna
 *
 *	Stae uywane w procesie wywietlania.
 *
 * @author Grzegorz Przytua, Adam Makowski
 */

package view;

public interface ViewConsts
{
	/**
	 * Gwne okno
	 */
	public static final Double DEF_VALUE_THIEFTHIEF = -25.00;
	public static final Double DEF_VALUE_PRODUCERPRODUCER = 15.00;
	public static final Double DEF_VALUE_PRODUCERTHIEF = 0.00;
	public static final Double DEF_VALUE_THIEFPRODUCER = 50.00;
	public static final int DEF_VALUE_PERCENT_MUTATION = 1;
	public static final int DEF_VALUE_SPIECES_AMOUNT = 300;
	public static final String INSTRUCTION_PATH = "instruction.html";
	public static final int MAX_CYCLE_LENGTH = 2000;
	public static final int MIN_CYCLE_LENGTH = 1;
	public static final String FILE_PROPERTIES_NAME = "default.properties";

	/**
	 * Wykres
	 */

	public static final String ICON_PATH 				= "pic/icon.png";
	public static final String HEADER_PATH 				= "pic//header-";
	public static final String PRODUCER_ICON48 			= "pic/producer48.png";
	public static final String THIEF_ICON48 			= "pic/thief48.png";
	public static final String PRODUCER_ICON72 			= "pic/producer72.png";
	public static final String THIEF_ICON72 			= "pic/thief72.png";
	public static final String PRODUCER_ICON72_V2 		= "pic/producer72v2.png";
	public static final String THIEF_ICON72_V2 			= "pic/thief72v2.png";
	public static final String LOGO						= "pic/logo.png";

	/**
	 * Strony internetowe
	 */
	public static final String INSTRUCTION_POL = "http://www.physicsoflife.pl/dict/mala_ewolucja.html#sk_instrukcja_obslugi_programu";
	public static final String INSTRUCTION_ENG = "http://www.physicsoflife.pl/dict/mala_ewolucja.html#sk_instrukcja_obslugi_programu";
	public static final String SMALL_EVOLUTION_POL = "http://physicsoflife.pl/dict/mala_ewolucja.html";
	public static final String SMALL_EVOLUTION_ENG = "http://www.physicsoflife.pl/dict/small_evolution.html";

	/**
	 * Dodatkowe stae
	 */
	public static final int SIMULATION_WINDOW_1 = 1330;
	public static final int SIMULATION_WINDOW_HEIGHT = 1000;
}
